db-derby-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Knut Anders Hatlen (JIRA)" <j...@apache.org>
Subject [jira] Commented: (DERBY-1465) NetworkServerControl.start() should throw an exception and not just print exceptions if the server fails to start
Date Mon, 22 Dec 2008 20:41:44 GMT

    [ https://issues.apache.org/jira/browse/DERBY-1465?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=12658655#action_12658655
] 

Knut Anders Hatlen commented on DERBY-1465:
-------------------------------------------

Just one tiny nit in the test. We have this code:

+        } catch (Exception e) {
+            assertTrue(e.getMessage().indexOf("java.net.BindException") > 1);
+        }

Perhaps it's better with something like this (untested):

catch (Exception e) {
    boolean ok = false;
    for (Throwable t = e; t != null; t = t.getCause()) {
        if (t instanceof java.net.BindException) {
            ok = true;
            break;
        }
    }
    if (!ok) {
        throw e;
    }
}

The advantage is that we keep the original exception if it's not the one we expected, and
that we don't depend on the contents of the message text (don't know, but it may perhaps vary
between different JVMs).

> NetworkServerControl.start() should throw an exception and not just  print  exceptions
 if the server fails to start
> --------------------------------------------------------------------------------------------------------------------
>
>                 Key: DERBY-1465
>                 URL: https://issues.apache.org/jira/browse/DERBY-1465
>             Project: Derby
>          Issue Type: Bug
>          Components: Network Server
>    Affects Versions: 10.1.2.1
>            Reporter: Kathey Marsden
>            Priority: Minor
>         Attachments: DERBY-1465.diff3, DERBY-1465.diff4, DERBY-1465.diff5, DERBY-1465.diff6,
DERBY-1465.diff7, DERBY-1465_diff.txt, DERBY-1465_diff.txt, DERBY-1465_stat.txt, DERBY-1465_stat.txt,
releaseNote.html, releaseNote.html, releaseNote.html
>
>
> NetworkServerControl.start()  will not throw an exception  if another server is already
running on the same port.    I am not sure but think perhaps this was changed at  one point
to accomodate the derby.drda.startNetworkServer property  so that the embedded server could
continue to boot even if the network server failed to start, but  I think this is wrong for
normal usage.
> http://www.nabble.com/Questions-about-Network-Server-API-Behavior-p5055814.html

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message